<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imdetect_GFTT</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imdetect_FAST.html">&lt;&lt; imdetect_FAST</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_8792051ef89a035bfefbe098ed0172e1.html">Feature Detection, Description and Matching</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imdetect_HARRIS.html">imdetect_HARRIS &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_8792051ef89a035bfefbe098ed0172e1.html">Feature Detection, Description and Matching</a> &gt; imdetect_GFTT</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imdetect_GFTT</h1>
    <p class="refpurpose">Detect features from an image with GFTT algorithm</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">fobj</span><span class="default"> = </span><span class="functionid">imdetect_GFTT</span><span class="default">(</span><span class="default">im</span><span class="default"> [,</span><span class="default">maxCorner</span><span class="default"> [,</span><span class="default">qualityLevel</span><span class="default"> [,</span><span class="default">minDistance</span><span class="default"> [,</span><span class="default">blockSize</span><span class="default"> [,</span><span class="default">k</span><span class="default">]]]]]);</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">im :</span>
      <dd><p class="para">Input image</p></dd></dt>
   <dt><span class="term">maxCorner :</span>
      <dd><p class="para">Maximum corders to be returned. Default value is 1000.</p></dd></dt>
   <dt><span class="term">qualityLevel :</span>
      <dd><p class="para">Parameter characterizing the minimal accepted quality of image corners. Default value is 0.01.</p></dd></dt>
   <dt><span class="term">minDistance :</span>
      <dd><p class="para">Minimum possible Euclidean distance between the returned corners. Default value is 1.</p></dd></dt>
   <dt><span class="term">blockSize :</span>
      <dd><p class="para">Size of an average block for computing a derivative covariation matrix over each pixel neighborhood. Default value is 3.</p></dd></dt>
   <dt><span class="term">k :</span>
      <dd><p class="para">Free parameter of the Harris detector. Default value is 0.04.</p></dd></dt>
   <dt><span class="term">fobj :</span>
      <dd><p class="para">Features object contains following fields -</p></dd></dt>
   <dt><span class="term">type :</span>
      <dd><p class="para">Type of features</p></dd></dt>
   <dt><span class="term">n :</span>
      <dd><p class="para">Numbers of detected features</p></dd></dt>
   <dt><span class="term">x :</span>
      <dd><p class="para">Coordinates of the detected features - X</p></dd></dt>
   <dt><span class="term">y :</span>
      <dd><p class="para">Coordinates of the detected features - Y</p></dd></dt>
   <dt><span class="term">size :</span>
      <dd><p class="para">Size of detected features</p></dd></dt>
   <dt><span class="term">angle :</span>
      <dd><p class="para">keypoint orientation</p></dd></dt>
   <dt><span class="term">response :</span>
      <dd><p class="para">The response by which the most strong keypoints have been selected.</p></dd></dt>
   <dt><span class="term">octave :</span>
      <dd><p class="para">pyramid octave in which the keypoint has been detected</p></dd></dt>
   <dt><span class="term">class_id :</span>
      <dd><p class="para">object id</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">This function used to detect the features of an image using GFTT method</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">S</span> <span class="scilaboperator">=</span> <span class="scilabid">imcreatechecker</span><span class="scilabopenclose">(</span><span class="scilabnumber">8</span><span class="scilabdefault">,</span><span class="scilabnumber">8</span><span class="scilabdefault">,</span><span class="scilabopenclose">[</span><span class="scilabnumber">1</span> <span class="scilabnumber">0.5</span><span class="scilabopenclose">]</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">fobj</span> <span class="scilaboperator">=</span> <span class="scilabid">imdetect_GFTT</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span> <span class="scilabid">plotfeature</span><span class="scilabopenclose">(</span><span class="scilabid">fobj</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imdetect_FAST.html" class="link">imdetect_FAST</a></li>
   <li class="member"><a href="imdetect_STAR.html" class="link">imdetect_STAR</a></li>
   <li class="member"><a href="imdetect_SIFT.html" class="link">imdetect_SIFT</a></li>
   <li class="member"><a href="imdetect_SURF.html" class="link">imdetect_SURF</a></li>
   <li class="member"><a href="imdetect_ORB.html" class="link">imdetect_ORB</a></li>
   <li class="member"><a href="imdetect_BRISK.html" class="link">imdetect_BRISK</a></li>
   <li class="member"><a href="imdetect_MSER.html" class="link">imdetect_MSER</a></li>
   <li class="member"><a href="imdetect_GFTT.html" class="link">imdetect_GFTT</a></li>
   <li class="member"><a href="imdetect_HARRIS.html" class="link">imdetect_HARRIS</a></li>
   <li class="member"><a href="imdetect_DENSE.html" class="link">imdetect_DENSE</a></li>
   <li class="member"><a href="plotfeature.html" class="link">plotfeature</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>

<div class="refsection"><h3 class="title">Bibliography</h3>
   <p class="para">1. OpenCV 2.4 Online Documentation</p></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imdetect_FAST.html">&lt;&lt; imdetect_FAST</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_8792051ef89a035bfefbe098ed0172e1.html">Feature Detection, Description and Matching</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imdetect_HARRIS.html">imdetect_HARRIS &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
